Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Licht einstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Licht einstellen (246 mal gelesen)
Lenzcad
Mitglied
Selbständiger Handwerker


Sehen Sie sich das Profil von Lenzcad an!   Senden Sie eine Private Message an Lenzcad  Schreiben Sie einen Gästebucheintrag für Lenzcad

Beiträge: 1437
Registriert: 21.10.2003

CPU Intel I7
RAM 12GB
Quadro FX600
SW 2019
SW 2018
SW 2017
SW Simulation
SW 2018

erstellt am: 02. Sep. 2019 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Lichteinstellung.pdf


Lichteinstellen.txt

 
Hallo CAD Gemeinde,
ich bräuchte eure Hilfe. Ich muss an vielen Bauteilen das Licht neu einstellen. Also das Umgebungslicht und drei ausgerichtete Lichter. Die Lichter sind bereits im BT vorhanden und sind immer gleich benannt. Wie würdet ihr das machen? Ich denke am sinnvollsten ist ein Makro. Ich habe ein Makro begonnen, komme aber nicht so recht weiter. Das erste ausgerichtete Licht wird angesprochen, das nächste aber dann nicht mehr. Siehe Anhang. Vielleicht kann mir jemand helfen. Vielen Dank!

Gruß
Lenz

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2215
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 02. Sep. 2019 14:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lenzcad 10 Unities + Antwort hilfreich

Hallo Lenz,

das scheint ein Fehler in SWX zu sein, da alle Lichter die über die Vorlage in das Model kommen anscheinend den gleichen Internen Namen bekommen, in deinem Fall heisen SWX intern alle gerichteten Lichter "Gerichtet-1" und nicht wie neu erstellte Lichter SW#4 SW#5 usw., wenn man eine neie Bühne läde ist es auch nicht besser da hier bekommen dann alle Lichter den Internen Namen "UnNamed".

Wahrscheinlich wäre es am schlausten alle alten Lichter zu löschen und diese dann komplett neu zu erstellen.

Du kannst zum überprüfen einfach mal das Beispiel Macro "Turn Lights On Example (VBA)" drüber laufen lassen, da siehst du im ANzeigefenster dann das die Lichter eines Typs den gleichen SWX internen Namen haben.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete  

[Diese Nachricht wurde von bk.sc am 02. Sep. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 684
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell T3600 Workstation
Intel XENON 6x3.2 GHz
NVIDIA Quadro 4000 2 GB
16GB RAM
2x Dell U2412M, 24" TFT
Windows 7 Professional x64 SP1
Microsoft Office Pro 2010 SP2
Kaspersky Anti-Virus 10.2.4.674
Microsoft VB 2010 Express
SpacePilot von 3Dconnexion

erstellt am: 02. Sep. 2019 14:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lenzcad 10 Unities + Antwort hilfreich

Hallo Lutz

*Glaskugel he­r­aus­kra­men*
Das Problem liegt wohl daran das du den Lichtquellenname, den du im Featurebaum siehst (LightSourceUserName), und nicht den internen Namen verwendest(GetLightSourceName).

Hier einmal wie ich es machen würde.

Code:
Sub main()

    Dim swApp          As SldWorks.SldWorks
    Dim swModel        As SldWorks.ModelDoc2
    Dim swModelDocExt  As SldWorks.ModelDocExtension
    Dim boolstatus      As Boolean
    Dim x              As Integer
   
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc

    'Internen Namen der Lichtquellen eindeutig setzten 
    swModel.SetLightSourceName 0, "Ambient"
    For x = 1 To swModel.GetLightSourceCount - 1
        swModel.SetLightSourceName x, "SW#" & x
        Debug.Print ("SWX  Name = " & swModel.GetLightSourceName(x))
        Debug.Print ("User Name = " & swModel.LightSourceUserName(x))
    Next
    'Lichtquellenparameter setzen
    boolstatus = swModel.SetLightSourcePropertyValuesVB("Ambient", 1, 1, 16777215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.5, 0, 0, False)
'    boolstatus = swModel.LockLightToModel(0, True) 'Macht keinen Sinn

    boolstatus = swModel.SetLightSourcePropertyValuesVB("SW#1", 4, 0.2, 16777215, 1, 6.63413948168939E-03, 0.005, 5.56670399226418E-03, 0, 0, 0, 0, 0, 0, 0, 0.1, 0.2, 0, False)
    boolstatus = swModel.LockLightToModel(1, True)
   
    boolstatus = swModel.SetLightSourcePropertyValuesVB("SW#2", 4, 0.2, 16777215, 1, -9.25416578398324E-03, 3.42020143325669E-03, 1.63175911166532E-03, 0, 0, 0, 0, 0, 0, 0, 0.1, 0.2, 0, False)
    boolstatus = swModel.LockLightToModel(2, True)
   
    boolstatus = swModel.SetLightSourcePropertyValuesVB("SW#3", 4, 0.2, 16777215, 1, 1.5038373318043E-03, 5.00000000000001E-03, -8.52868531952444E-03, 0, 0, 0, 0, 0, 0, 0, 0.1, 0.2, 0, False)
    boolstatus = swModel.LockLightToModel(3, True)

End Sub



*Glaskugel wieder verstauen*

Gruss Andreas

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2215
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 02. Sep. 2019 16:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lenzcad 10 Unities + Antwort hilfreich

Hallo Henry,

den gleichnamigen Lichtern erst neue eundeutige Namen zu geben ist natürlich die elegantere Lösung  .

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lenzcad
Mitglied
Selbständiger Handwerker


Sehen Sie sich das Profil von Lenzcad an!   Senden Sie eine Private Message an Lenzcad  Schreiben Sie einen Gästebucheintrag für Lenzcad

Beiträge: 1437
Registriert: 21.10.2003

CPU Intel I7
RAM 12GB
Quadro FX600
SW 2019
SW 2018
SW 2017
SW Simulation
SW 2018

erstellt am: 02. Sep. 2019 18:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,
vielen Dank, dass du dich meinem Thema angenommen hast.

Hallo Andreas,
vielen Dank, dein Makro geht einwandfrei. Das ist genau das was ich brauche.

Beste Grüße
Lenz

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz